### RTK校准GPS 使用说明

---

##### 1、运行环境（链接中含安装方法）

- [Ubuntu](https://releases.ubuntu.com/18.04/) >= 18.04
- [Python3](https://www.digitalocean.com/community/tutorials/ubuntu-18-04-python-3-zh) >= 3.6.9
- [Docker](https://docs.docker.com/engine/install/ubuntu/) >= 20.10.16
- [g++](https://www.cnblogs.com/dragonsuc/p/4342472.html) >= 7.5.0
- [OpenSfM](https://opensfm.org/docs/building.html)

##### 2、安装脚本程序

```
pip3 install odm-sfm --user # https://pypi.org/project/odm-sfm/
```

##### 3、运行脚本程序

```
python3 ODM_SfM.py
--rtk=./RTK # RTK图像的目录，尚不支持子目录搜索
--gps=./GPS # RPS图像的目录，尚不支持子目录搜索
--dst=./out # 工作目录，存放输出的结果
--log=log.txt # 将屏幕输出保存到{dst}/log.txt
--cpu=3 # 最大并行计算/并发数；范围[1,cpu内核数]
--type=sift # 特征提取的类型；默认SIFT
--min=4000 # 每张图像特征点数的下限；默认4000
--quality=0.5 # 每张图像的特征粒度，越大特征越多约细致；默认0.5，范围(0,1]
```

> - 更多参数项目，详见：`python3 ODM_SfM.py --help`
>- 若`--log`功能失效，可尝试手动重定向，即在上述命令后添加`>> log.txt 2>&1`。例如：
>   - `python3 ODM_SfM.py --gps=GPS --rtk=RTK --dst=out >> out/log.txt 2>&1`
> - 首次运行程序时，docker会自动下载odm的镜像：需要联网，耗时较长。
>- 程序运行过程中需要sudo权限，会提示输入sudo密码。若想永不超时：
>   - 输入`sudo visudo`，在`Defaults env_reset`后添加`, timestamp_timeout=-1`

