#!/usr/bin/python3
# coding: utf-8

import os, setuptools

dst = 'odm_sfm'; ver = '0.1.0a3'
if os.path.isfile('src/check_gz.cpp'):
    os.system(f'g++ src/check_gz.cpp -o {dst}/checker')
if os.path.isfile('README.md'):
    with open('README.md', encoding='utf-8') as f:
        readme = f.read()

setuptools.setup(
    version = ver,
    author = 'Glodon',
    platforms = 'Ubuntu',
    python_requires = '>=3.6',
    name = dst.replace('_','-'),
    license = 'None', # GUN LGPLv2.1
    author_email = 'fuh-d@glodon.com',
    description = 'RTK calibrate GPS.',
    url = 'https://pypi.org/project/odm-sfm/',
    long_description = readme,
    long_description_content_type = 'text/markdown',
    package_data={'': ['checker','*.txt','*.md']},
    packages = setuptools.find_packages(),
    #packages = setuptools.find_namespace_packages(),
    classifiers = ['Operating System :: POSIX :: Linux',
                    'Programming Language :: Unix Shell',
                    'Programming Language :: Python :: 3.6'],
    install_requires = ['numpy','opencv-python','PyYAML'],
    # scripts = [f'{dst}/checker'],
    # entry_points = {'console_scripts':
    #                 ['odm_sfm = src.ODM_SfM:main'] },
)
